package com.caimei365.manager.controller.hehe.floor;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.hehe.floor.HeHeHomeType;
import com.caimei365.manager.entity.hehe.floor.ProductFloor;
import com.caimei365.manager.entity.hehe.product.HeHeImage;
import com.caimei365.manager.service.hehe.floor.HeHeHomeService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/HeHe")
public class HomeApi {
    @Resource
    private HeHeHomeService homeService;

    /**
     * 首页分类导航
     *
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/homeType/list")
    public ResponseJson<PaginationVo<HeHeHomeType>> homeTypeList(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                 @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return homeService.homeTypeList(pageNum, pageSize);
    }

    /**
     * 首页楼层-商品楼层列表
     *
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/product/floor")
    public ResponseJson<PaginationVo<ProductFloor>> productFloor(@RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                 @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return homeService.productFloor(pageNum, pageSize);
    }

    /**
     * 首页二维码
     *
     * @return
     */
    @GetMapping("/qrCode/images")
    public ResponseJson<String> getQrCode() {
        return homeService.getQrCode();
    }

    /**
     * 轮播图列表
     * @param image
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/image/list")
    public ResponseJson<PaginationVo<HeHeImage>> productFloor(HeHeImage image,
                                                              @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                              @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return homeService.imageList(image, pageNum, pageSize);
    }
}
