package com.caimei365.manager.controller.hehe.product;


import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.hehe.product.*;
import com.caimei365.manager.service.hehe.product.HeHeProductService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/HeHe")
public class ProductApi {

    @Resource
    private HeHeProductService productService;

    /**
     * 商品管理
     *
     * @param product
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/product/list")
    public ResponseJson<PaginationVo<HeHeProduct>> userList(HeHeProduct product,
                                                            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                            @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return productService.productList(product, pageNum, pageSize);
    }

    /**
     * 商品分类管理
     *
     * @param type
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/product/bigType")
    public ResponseJson<PaginationVo<HeHeBigType>> getBigType(HeHeBigType type,
                                                              @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                              @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return productService.bigTypeList(type, pageNum, pageSize);
    }

    /**
     * 商城活动列表
     *
     * @param activity
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/product/active")
    public ResponseJson<PaginationVo<HeHeActivity>> getActiveList(HeHeActivity activity,
                                                                  @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                  @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return productService.activeList(activity, pageNum, pageSize);
    }

    /**
     * 限时特价活动列表
     *
     * @param activity
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/discount/activity")
    public ResponseJson<PaginationVo<DiscountActivity>> getActive(DiscountActivity activity,
                                                                  @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                  @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return productService.discountActiveList(activity, pageNum, pageSize);
    }

    /**
     * 分享减免活动列表
     *
     * @param reduction
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/reduction/list")
    public ResponseJson<PaginationVo<ShareReduction>> getReduction(ShareReduction reduction,
                                                                   @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                   @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return productService.shareReductionList(reduction, pageNum, pageSize);
    }

    /**
     * 内部优惠列表
     *
     * @param discount
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/inside/discount")
    public ResponseJson<PaginationVo<InsideDiscount>> insideDiscount(InsideDiscount discount,
                                                                     @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                                     @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return productService.insideDiscountList(discount, pageNum, pageSize);
    }
}
