package com.caimei365.manager.controller.hehe.user;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.hehe.product.HeHeBigType;
import com.caimei365.manager.entity.hehe.user.HeHeUser;
import com.caimei365.manager.service.hehe.user.HeHeUserService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author zzj
 */
@RestController
@RequestMapping("/HeHe")
public class UserApi {

    @Resource
    private HeHeUserService userService;

    /**
     * 分销者列表
     *
     * @param man
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/sales/list")
    public ResponseJson<PaginationVo<HeHeUser>> salesList(HeHeUser man,
                                                          @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                          @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return userService.SalesList(man, pageNum, pageSize);
    }

    /**
     * 呵呵用户列表
     * @param man
     * @param pageNum
     * @param pageSize
     * @return
     */
    @GetMapping("/user/list")
    public ResponseJson<PaginationVo<HeHeUser>> userList(HeHeUser man,
                                                         @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                         @RequestParam(value = "pageSize", defaultValue = "20") int pageSize) {
        return userService.userList(man, pageNum, pageSize);
    }
}
