package com.caimei365.manager.entity.hehe.product;

import com.caimei365.manager.entity.caimei.svip.CmSku;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class HeHeProduct {
    /**
     * 对应采美商品id
     */
    private Integer productId;
    /**
     * 上架状态:1上架,2下架
     */
    private Integer validFlag;
    /**
     * 售价
     */
    private BigDecimal price;
    /**
     * 是否含税 0不含税，1含税
     */
    private Integer includedTax;
    /**
     * 发票类型(基于是否含税基础) 1增值税专用发票，2增值税普通发票, 3不能开票
     */
    private Integer invoiceType;
    /**
     * 机构税率 :增值税默认13%，普通票6%取值范围[0-100]
     */
    private BigDecimal clubTaxPoint;
    /**
     * 供应商税率:增值专用发票默认13%，增值税普通发票6%取值范围[0-100]
     */
    private BigDecimal shopTaxPoint;
    /**
     * 成本价类型：1固定成本 2比例成本
     */
    private Integer costType;
    /**
     * 成本价
     */
    private BigDecimal costPrice;
    /**
     * 比例成本百分比
     */
    private BigDecimal shopPercent;
    /**
     * 旧商品id
     */
    private Integer oldProductId;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品图片
     */
    private String mainImage;
    /**
     * 供应商名称
     */
    private String shopName;
    /**
     * 刚添加的活动id
     */
    private List<Integer> ids;
    /**
     * 一级分类id
     */
    private Integer bigTypeId;
    /**
     * 二级分类id
     */
    private Integer smallTypeId;
    /**
     * 活动id
     */
    private Integer activityId;
    /**
     * 楼层id，以，隔开
     */
    private String floorIds;

    private List<CmSku> skus;

}
