package com.caimei365.manager.service.hehe.floor.impl;


import com.caimei365.manager.dao.hehe.HeHeHomeDao;
import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.hehe.floor.HeHeHomeType;
import com.caimei365.manager.entity.hehe.floor.ProductFloor;
import com.caimei365.manager.entity.hehe.product.HeHeImage;
import com.caimei365.manager.service.hehe.floor.HeHeHomeService;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class HeHeHomeServiceImpl implements HeHeHomeService {

    @Resource
    private HeHeHomeDao homeDao;

    @Override
    public ResponseJson<PaginationVo<HeHeHomeType>> homeTypeList(int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<HeHeHomeType> list = homeDao.findHomeTypeList();
        PaginationVo<HeHeHomeType> page = new PaginationVo<>(list);
        return ResponseJson.success(page);
    }

    @Override
    public ResponseJson<PaginationVo<ProductFloor>> productFloor(int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<ProductFloor> list = homeDao.findProductFloor();
        PaginationVo<ProductFloor> page = new PaginationVo<>(list);
        return ResponseJson.success(page);
    }

    @Override
    public ResponseJson<String> getQrCode() {
        return ResponseJson.success(homeDao.findQrCode());
    }

    @Override
    public ResponseJson<PaginationVo<HeHeImage>> imageList(HeHeImage image, int pageNum, int pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        List<HeHeImage> list = homeDao.findImageList(image);
        PaginationVo<HeHeImage> page = new PaginationVo<>(list);
        return ResponseJson.success(page);
    }
}
